%define name myplay
%define version 0.2.1
%define release %mkrel 2

Summary: Simple music player
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://code.google.com/p/myplay/
Source0: http://code.google.com/p/myplay/%{name}-%version.tar.xz
Patch: %{name}-%{version}-desktop.patch
License: GPLv3
BuildArch: noarch
BuildRequires: python-devel
Requires: python >= 2.6
Requires: pygtk2.0
Requires: python-dbus
Requires: python-gobject
Requires: pyxdg
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Obsoletes: %{name} < %version


%description
MyPlay is a very simple music player. It follows two main principles that
make it kinda different:

* It works directly with files, without creating a "music library", so it's
   your freedom and duty to organize your collection as you want with ordinary
   folders.
 
* It works as a background service, playing its playlist without creating any
   windows or notification icons. However a number of UIs can be provided to
   control it. This package provides simple GTK+-based graphical interface.

The player is implemented as a D-BUS service utilizing GStreamer framework to do
actual playing. It provides a D-BUS interface to modify playlist and control playing.


%prep
%setup -q -n %{name}-%version
%patch -p1

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=%buildroot 


desktop-file-install --vendor="" \
      --add-category="X-MandrivaLinux-Multimedia-Sound" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_libdir}/myplay
mv %{buildroot}%{_bindir}/myplay-service %{buildroot}%{_libdir}/myplay

%clean
rm -rf %buildroot



%files 
%defattr(-,root,root)
%doc LICENSE README PKG-INFO TODO NEWS
%_bindir/%{name}
%_libdir/%{name}/myplay-service
%_datadir/applications/*.desktop
%_datadir/dbus-1/services/org.nadako.myplay.service
%py_sitedir/%{name}
%py_sitedir/*.egg-info

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.2.1-2pclos2010
- rebuild

* Wed Feb 24 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- initial pkg

